Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
    Location Key
      Goverment-issued alerts by location keyget
Locations
Indices
Tropical
Alarms
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Location Key


Goverment-issued alerts by location key

GET
https://dataservice.accuweather.com
/alerts/v1/{locationKey}

Returns severe weather alerts from official Government Meteorological Agencies and leading global weather alert providers for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

Goverment-issued alerts by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

Goverment-issued alerts by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json
details
​boolean

A boolean value that specifies whether or not to include extended information.

Default: false

Goverment-issued alerts by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

Goverment-issued alerts by location key › Responses

OK

​API.Alerts.Entities.OpenAPI.GlobalAlert[]
API.Alerts.Entities.OpenAPI.GlobalAlert
CountryCode
​string · minLength: 1 · required

A unique ID number assigned to a specific country.

AlertID
​integer · int64 · required

A unique ID number that identifies a specific alert for a particular country.

​required

An object containing a short phrase that summarizes the alert.

Category
​string · minLength: 1 · required

A classification word or phrase that describes the alert type.

Priority
​integer · int32 · required

A ranking number that indicates the alert's importance based on the issuing authority's list of alert types. Higher impact alerts have a lower numnber. The highest priority is 1.

Type
​string · minLength: 1 · required

An abbreviated alert description.

TypeID
​string · minLength: 1 · required

An alphanumeric ID that indicates the alert description.

Class
​string · minLength: 1 · required

The alert classification. Not available for all countries. Can be null.

Level
​string · minLength: 1 · required

Indicates the alert severity. Not available for all countries. Can be null.

AlarmLevel
​string · minLength: 1 · required

A color-based system that indicates the alert severity.

Source
​string · minLength: 1 · required

The alert data provider.

SourceId
​integer · int32 · required

An ID integer that identifies the alert data provider.

Disclaimer
​string · minLength: 1 · required

A disclaimer that must be displayed with the alert data. Can be null.

HaveReadyStatements
​boolean · required

A boolean value determining if ready statements are available.

Text
​string | null

An descriptive text that summarizes the alert.

​

An object containing definitions for an additive color that indicates the alert type.

SourceIconUrl
​string | null

SourceIconUrl

SourceTeam
​string | null

SourceTeam

SourceTeamIconUrl
​string | null

SourceTeamIconUrl

​array | null

An array containing information that defines the requested alert location, alert timing, and alert text.

MobileLink
​string | null · uri

Link to severe weather alerts on AccuWeather's mobile site for the requested location.

Link
​string | null · uri

Link to severe weather alerts on AccuWeather's free site for the requested location.

GET/alerts/v1/{locationKey}
curl https://dataservice.accuweather.com/alerts/v1/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "CountryCode": "CountryCode", "AlertID": 0, "Description": {}, "Text": "Text", "Category": "Category", "Priority": 0, "Type": "Type", "TypeID": "TypeID", "Class": "Class", "Level": "Level", "AlarmLevel": "AlarmLevel", "Color": {}, "Source": "Source", "SourceId": 0, "SourceIconUrl": "SourceIconUrl", "SourceTeam": "SourceTeam", "SourceTeamIconUrl": "SourceTeamIconUrl", "Disclaimer": "Disclaimer", "Area": [ { "Name": "Name", "IssuedTime": "2024-08-25T15:00:00Z", "EpochIssuedTime": 0, "StartTime": "2024-08-25T15:00:00Z", "EpochStartTime": 0, "EndTime": "2024-08-25T15:00:00Z", "EpochEndTime": 0, "LastAction": {}, "Text": "Text", "LanguageCode": "LanguageCode", "Summary": "Summary" } ], "HaveReadyStatements": true, "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

Location KeyLocation Key